Bug 99038 - 'neat' crashes upon launch YDL 3.0 on Tibook 550
Summary: 'neat' crashes upon launch YDL 3.0 on Tibook 550
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 8.0
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-12 11:22 UTC by darkman
Modified: 2014-01-21 22:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 10:04:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description darkman 2003-07-12 11:22:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.2.1) Gecko/20030228

Description of problem:
try launching neat- it will not allow for configuration of network devices..
i get a window requiring su password, <if not launched from root, which makes no
difference, btw> 
then a small window proclaiming that it is "loading network configuration"
lots of stuff flys by the terminal window <if launched from a terminal>
then a dialogue box stating that an "exception occurred"


present workaround- install webmin and configure thru the webmin interface.

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2c

How reproducible:
Always

Steps to Reproduce:
1. command line : neat
2. run neat thru the GUI
3.
    

Actual Results:  popup window informing me this is an exception and that its
probably a bug and to report it.

Expected Results:  network config gui should be running.

Additional info:

in the popup dialogue:
Component: redhat-config-network
Version: 1.2.0
Summary: TB
/var/tmp/python-2.2.2-root/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/var/tmp/redhat-config-network-1.2.0-root/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/var/tmp/python-2.2.2-root/usr/lib/python2.2/sre.py", line 137, in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer


in the terminal session:
[darkman@TiBookLinux darkman]$ neat
Warning : Device eth1 has been compiled with version 14
of Wireless Extension, while we are using version 12.
Some things may be broken...
 
Copying ifcfg-eth1 to devices and putting it into the default profile.
Copying ifcfg-eth0 to devices and putting it into the default profile.
Warning : Device eth1 has been compiled with version 14
of Wireless Extension, while we are using version 12.
Some things may be broken...

Comment 1 Harald Hoyer 2003-07-14 09:46:41 UTC
get the update from:
http://people.redhat.com/harald/redhat-config-network/

Comment 2 Ed McKnight 2003-09-04 06:50:01 UTC
Running Yellow Dog 3.0 on Apple PowerBook G4 (15")

I reproduced the problem with /etc/sysconfig/network-scri
pts/ifcfg-eth1 as shipped (or created by stock install) containing:

DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=yes

Found solution in:

http://lists.terrasoftsolutions.com/pipermail/yellowdog-general/2003-March/006738.html

where a sample ifcfg-eth1 file is given; I change ONBOOT to 'no' since I'm not
always around an access point when I boot. I use '/sbin/ifup eth1' to bring it up.

And, BTW, 'neat' no longer crashes...

Rgds,  edward.mcknight@sun.com  Sept-03-2003

Comment 3 Seth Vidal 2003-11-19 04:53:34 UTC
this seems like it is fixed. Could the opener confirm this and close?

triage->close

Comment 4 Harald Hoyer 2004-06-04 10:04:24 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.